diff --git a/changelog b/changelog
index 27446ea..622e803 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090616 tpd src/axiom-website/patches.html 20090616.01.tpd.patch
+20090616 tpd src/algebra/Makefile add gloss* files
 20090614 tpd src/axiom-website/patches.html 20090614.05.tpd.patch
 20090614 tpd books/bookvol10.4 PRS +-> conversion
 20090614 tpd src/axiom-website/patches.html 20090614.04.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index ac13081..9316d43 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17975,6 +17975,12 @@ ${SPADBIN}/index.html:
 
 #all:	${SUBPART}
 
+gloss:
+	@ echo 5000 copying glossary files
+	@ cp ${SRC}/share/algebra/gloss.text ${MNT}/${SYS}/algebra
+	@ cp ${SRC}/share/algebra/glossdef.text ${MNT}/${SYS}/algebra
+	@ cp ${SRC}/share/algebra/glosskey.text ${MNT}/${SYS}/algebra
+
 everything: check lib db cmd gloss
 	@ echo 4303 invoking make in `pwd` with parms:
 	@ echo SYS= ${SYS} LSP= ${LSP} PART= ${PART} SUBPART= ${SUBPART}
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index adff9bd..b571675 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1575,5 +1575,7 @@ bookvol10.4 ODPRRIC +-> conversion<br/>
 bookvol10.4 PSEUDLIN +-> conversion<br/>
 <a href="patches/20090614.05.tpd.patch">20090614.05.tpd.patch</a>
 bookvol10.4 PRS +-> conversion<br/>
+<a href="patches/20090616.01.tpd.patch">20090616.01.tpd.patch</a>
+src/algebra/Makefile add gloss* files<br/>
  </body>
 </html>
